Skip to main content
`Ctrl`+`K`

# cubical_graph

cubical_graph(create_using=None)

  Returns the 3-regular Platonic Cubical Graph

  The skeleton of the cube (the nodes and edges) form a graph, with 8 nodes, and 12 edges. It is a special case of the hypercube graph. It is one of 5 Platonic graphs, each a skeleton of its Platonic solid [1]. Such graphs arise in parallel processing in computers.

  Parameters:
    create_using NetworkX graph constructor, optional (default=nx.Graph)

      Graph type to create. If graph instance, then cleared before populated.

  Returns:
    G networkx Graph

      A cubical graph with 8 nodes and 12 edges

  References

  [1]

  https://en.wikipedia.org/wiki/Cube#Cubical_graph